CVE 상세 조회

CVE 취약점 상세 내용을 조회합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

GET /api/sonar/cves/:id
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/cves/CVE-1999-0022
요청 매개변수
필수타입설명비고
idO문자열CVE 식별자CVE-연도네자리-일련번호

정상 응답

{
  "cve": {
    "id": "CVE-2012-1422",
    "status": "Deferred",
    "description": "The TAR file parser in Quick Heal (aka Cat QuickHeal) 11.00, NOD32 Antivirus 5795, Norman Antivirus 6.06.12, and Rising Antivirus 22.83.00.03 allows remote attackers to bypass malware detection via a POSIX TAR file with an initial ITSF character sequence.  NOTE: this may later be SPLIT into multiple CVEs if additional information is published showing that the error occurred independently in different TAR parser implementations.",
    "source": "MITRE",
    "published": "2012-03-21 10:11:47+0900",
    "updated": "2025-04-11 00:51:21+0900",
    "cvss": [
      {
        "version": "2.0",
        "score": 4.3,
        "exploitability_score": 8.6,
        "impact_score": 2.9,
        "vector": "AV:N/AC:M/Au:N/C:N/I:P/A:N",
        "severity": "MEDIUM",
        "source": "NIST"
      }
    ],
    "cwes": [
      {
        "cwe_id": "CWE-264",
        "type": "Primary",
        "source": "NIST"
      }
    ]
  }
}

오류 응답

id가 존재하지 않는 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "cve 'CVE-2012-9999' not found"
}